## org.eclipse.m2m.atl.engine.vm
Class ClassNativeOperation

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
          org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
              org.eclipse.m2m.atl.engine.vm.Operation
                  org.eclipse.m2m.atl.engine.vm.NativeOperation
                      org.eclipse.m2m.atl.engine.vm.ClassNativeOperation

    public class ClassNativeOperation

extends NativeOperation

Field Summary

Fields inherited from class org.eclipse.m2m.atl.engine.vm.Operation
`myType`

Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`nativeImpl`

Constructor Summary
`ClassNativeOperation(java.lang.reflect.Method method)`
`ClassNativeOperation(java.lang.reflect.Method method, java.util.List parameters, ASMOclType returnType, ASMOclType contextType)`

Method Summary
`ASMOclAny` `exec(StackFrame frame)`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.NativeOperation
`getASMType, getContextSignature, getContextType, getMethod, getName, getParameters, getReturnType, getSignature, registerOperations, registerOperations, toString`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.Operation
`get`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
`getNativeImpl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ClassNativeOperation

    public ClassNativeOperation(java.lang.reflect.Method method,
                                java.util.List parameters,
                                ASMOclType returnType,
                                ASMOclType contextType)

### ClassNativeOperation

    public ClassNativeOperation(java.lang.reflect.Method method)

Method Detail

### exec

    public ASMOclAny exec(StackFrame frame)

  Description copied from class: `NativeOperation`

  Specified by:
    `exec` in class `NativeOperation`
  See Also:
    `Operation.exec(org.eclipse.m2m.atl.engine.vm.StackFrame)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.